> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tela.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete webhook subscription

> Soft-deletes the subscription and deactivates it. Existing delivery records are kept.



## OpenAPI

````yaml DELETE /webhook/{webhookId}
openapi: 3.0.1
info:
  title: Tela API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tela.com
security: []
paths:
  /webhook/{webhookId}:
    delete:
      tags:
        - Webhook
      summary: Delete webhook subscription
      description: >-
        Soft-deletes the subscription and deactivates it. Existing delivery
        records are kept.
      operationId: deleteWebhook
      parameters:
        - $ref: '#/components/parameters/WebhookIdPath'
      responses:
        '200':
          description: Webhook deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookDeleteResponse'
        '400':
          $ref: '#/components/responses/WebhookBadRequest'
        '401':
          $ref: '#/components/responses/WebhookUnauthorized'
        '403':
          $ref: '#/components/responses/WebhookForbidden'
        '404':
          $ref: '#/components/responses/WebhookNotFound'
      security:
        - bearerAuth: []
components:
  parameters:
    WebhookIdPath:
      name: webhookId
      in: path
      required: true
      description: Webhook subscription ID
      schema:
        type: string
        format: uuid
  schemas:
    WebhookDeleteResponse:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
      example:
        success: true
    Error: {}
  responses:
    WebhookBadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    WebhookUnauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    WebhookForbidden:
      description: The key does not have the required role
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    WebhookNotFound:
      description: Webhook not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT or UUID

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.